import React from 'react';
import { Schema as FTMSchema } from '@alephdata/followthemoney';
import './Schema.scss';
interface ISchemaCommonProps {
    schema: FTMSchema;
    className?: string;
    size?: number;
}
declare class SchemaIcon extends React.Component<ISchemaCommonProps> {
    render(): JSX.Element;
}
interface ISchemaLabelProps extends ISchemaCommonProps {
    plural?: boolean;
    icon?: boolean;
}
declare class SchemaLabel extends React.Component<ISchemaLabelProps> {
    render(): string | JSX.Element;
}
declare class Schema extends React.Component {
    static Label: typeof SchemaLabel;
    static Icon: typeof SchemaIcon;
}
export default Schema;
